<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwDevice: fwDeviceDeprecated.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwDevice
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwDeviceDeprecated_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwDeviceDeprecated.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab44e6b5028f8404b102b0c9533be6b91"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceDeprecated_8ctl.html#ab44e6b5028f8404b102b0c9533be6b91">fwDevice_getStartingNumber</a> (dyn_string device, int &amp;startingNumber, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ab44e6b5028f8404b102b0c9533be6b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2ee57dbbb56498e07169eb1383315df"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceDeprecated_8ctl.html#ae2ee57dbbb56498e07169eb1383315df">fwDevice_createObject</a> (dyn_string &amp;device, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae2ee57dbbb56498e07169eb1383315df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6027a930e48c87239c994122676cef5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceDeprecated_8ctl.html#ab6027a930e48c87239c994122676cef5">fwDevice_processModelTemplate</a> (string deviceDpName, string templateString, string &amp;finalString, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ab6027a930e48c87239c994122676cef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad539a61d5b7e27b2964e25965e7fa3f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceDeprecated_8ctl.html#ad539a61d5b7e27b2964e25965e7fa3f6">fwDevice_doubleClickViewTable</a> ()</td></tr>
<tr class="separator:ad539a61d5b7e27b2964e25965e7fa3f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18d0967918b2ca4add0957fe2e38f411"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceDeprecated_8ctl.html#a18d0967918b2ca4add0957fe2e38f411">fwDevice_getNameRoot</a> (string deviceDpType, string &amp;nameRoot, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a18d0967918b2ca4add0957fe2e38f411"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82c761345c40c76c2ed812ac36450def"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDeviceDeprecated_8ctl.html#a82c761345c40c76c2ed812ac36450def">fwDevice_getChildrenLogical</a> (string deviceDpAlias, dyn_string &amp;children, dyn_string exceptionInfo)</td></tr>
<tr class="separator:a82c761345c40c76c2ed812ac36450def"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Deprecated functions of fwDevice component. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="ab44e6b5028f8404b102b0c9533be6b91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab44e6b5028f8404b102b0c9533be6b91">&#9670;&nbsp;</a></span>fwDevice_getStartingNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDevice_getStartingNumber </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>device</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>startingNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the starting number to be used when numbering child devices in the given device.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">device</td><td>device object. Either the device datapoint name or the device dp type and the model are required. </td></tr>
    <tr><td class="paramname">startingNumber</td><td>number to start default naming </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions</td></tr>
  </table>
  </dd>
</dl>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000001">Deprecated:</a></b></dt><dd>2018-06-22 </dd></dl>

</div>
</div>
<a id="ae2ee57dbbb56498e07169eb1383315df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2ee57dbbb56498e07169eb1383315df">&#9670;&nbsp;</a></span>fwDevice_createObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDevice_createObject </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>device</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initializes a device object with empty fields.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">device</td><td>the device object </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions are returned here</td></tr>
  </table>
  </dd>
</dl>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000002">Deprecated:</a></b></dt><dd>2018-06-22</dd></dl>

</div>
</div>
<a id="ab6027a930e48c87239c994122676cef5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6027a930e48c87239c994122676cef5">&#9670;&nbsp;</a></span>fwDevice_processModelTemplate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDevice_processModelTemplate </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>deviceDpName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>templateString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>finalString</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function is used to process a template string and substitute some tokens related to model information. The tokens have to be appended by a number to indicate a position in the hierarchy. The numbering starts with 1 referencing the current device, 2 referencing the parent and so on. The possible tokens are:</p>
<ul>
<li>model: references a device model (e.g. %model2% references the model of the parent of the given device)</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>JCOP Framework internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceDpName</td><td>device to which the template belongs (e.g. CAEN/crate003/board07/channel005) </td></tr>
    <tr><td class="paramname">templateString</td><td>template to be processed </td></tr>
    <tr><td class="paramname">finalString</td><td>result of the processing </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions</td></tr>
  </table>
  </dd>
</dl>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000003">Deprecated:</a></b></dt><dd>2018-06-22</dd></dl>

</div>
</div>
<a id="ad539a61d5b7e27b2964e25965e7fa3f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad539a61d5b7e27b2964e25965e7fa3f6">&#9670;&nbsp;</a></span>fwDevice_doubleClickViewTable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDevice_doubleClickViewTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Opens the corresponding operation panel when an item in the table is double clicked.</p>
<dl class="section user"><dt>Constraints</dt><dd>Must be called from within the double click code of table widget.<br  />
 It is used by the panels fwTableStatus or fwTableValueStatus.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>JCOP Framework internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000004">Deprecated:</a></b></dt><dd>2018-06-22 </dd></dl>

</div>
</div>
<a id="a18d0967918b2ca4add0957fe2e38f411"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18d0967918b2ca4add0957fe2e38f411">&#9670;&nbsp;</a></span>fwDevice_getNameRoot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDevice_getNameRoot </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>deviceDpType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>nameRoot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceDpType</td><td>device datapoint type (e.g. FwCaenBoard) </td></tr>
    <tr><td class="paramname">nameRoot</td><td>root name used to name devices of the type deviceDpType </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exceptions</td></tr>
  </table>
  </dd>
</dl>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000005">Deprecated:</a></b></dt><dd>2018-06-22 </dd></dl>

</div>
</div>
<a id="a82c761345c40c76c2ed812ac36450def"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82c761345c40c76c2ed812ac36450def">&#9670;&nbsp;</a></span>fwDevice_getChildrenLogical()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDevice_getChildrenLogical </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>deviceDpAlias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>children</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get all the logical children devices of a device</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceDpAlias</td><td>name of the device </td></tr>
    <tr><td class="paramname">children</td><td>list of child devices </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any exception</td></tr>
  </table>
  </dd>
</dl>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000006">Deprecated:</a></b></dt><dd>2018-06-22 One should use <a class="el" href="fwDevice_8ctl.html#a566f89886c4bf957ea97fc0a5ada3123">fwDevice_getChildren</a> with type="LOGICAL" instead</dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwDeviceDeprecated_8ctl.html">fwDeviceDeprecated.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
